Check domain availability
API Docs with browser clientCheck if a domain is available for registration. Returns availability status, pricing details, current owner (if any), and registration constraints.
In: header
Query Parameters
The domain to check availability for
^[a-z0-9_]([a-z0-9-]{0,61}[a-z0-9_])?(\.[a-z0-9_]([a-z0-9-]{0,61}[a-z0-9_])?)*$Header Parameters
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred header name.
Legacy alias for x-namefi-erc1271-account. When multiple delegated account headers are present, x-namefi-eip7702-account takes precedence, then x-namefi-erc1271-account.
Optional delegated account address to authenticate as when the signer is an approved signer. Preferred ERC-1271 header name.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.namefi.dev/v-next/search/availability?domain=string"{
"domain": "string",
"availability": true,
"pricingDetails": {
"registrationPrice": {
"type": "PER_YEAR",
"price": {
"amount": 0,
"currency": "string"
}
},
"renewalPrice": {
"type": "PER_YEAR",
"price": {
"amount": 0,
"currency": "string"
}
},
"importPrice": {
"type": "PER_YEAR",
"price": {
"amount": 0,
"currency": "string"
}
}
},
"currentOwner": "string",
"registrarKey": "string",
"durationValidationInYears": {
"min": 0,
"max": 0
},
"importable": true,
"supported": true
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": null
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Unauthorized",
"data": null
}{
"defined": true,
"code": "PAYMENT_REQUIRED",
"status": 402,
"message": "Payment Required",
"data": null
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "Forbidden",
"data": null
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": null
}{
"defined": true,
"code": "NOT_ACCEPTABLE",
"status": 406,
"message": "Not Acceptable",
"data": null
}{
"defined": true,
"code": "TIMEOUT",
"status": 408,
"message": "Request Timeout",
"data": null
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "Conflict",
"data": null
}{
"defined": true,
"code": "PRECONDITION_FAILED",
"status": 412,
"message": "Precondition Failed",
"data": null
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Too Many Requests",
"data": null
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": null
}Start an outbound lead-finding run POST
Start lead discovery for a domain. If an active run already exists for the same domain, the existing run is returned instead of creating duplicate work.
Check bulk domain availability GET
Check if a list of domains are available for registration. Returns availability status, pricing details, current owner (if any), and registration constraints.